## python-defaults 2.7.18-2

=== debian/changelog ===
python-defaults (2.7.18-2) unstable; urgency=medium

  * Don't ship a duplicate README.Debian in python2-doc. Closes: #966823.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 10:22:34 +0200

python-defaults (2.7.18-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Remove deprecated dh_python2. Please add dh-python or
    dh-sequence-python2 to Build-Depends if your package still supports
    Python 2.X.

  [ Matthias Klose ]
  * Correct command-not-found XB-Cnf headers:
    - Drop Extra-Commands headers, not needed
    - Add XB- to ensure Visible-Pkgname actually is included in the binary
      package heders
  * Stop building the python, python-dev, python-dbg, python-doc,
    python-minimal, libpython-dev, libpython-dbg, libpython-stdlib packages.
  * Bump standards version.
  * Bump version to 2.7.18.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2020 14:51:22 +0200
