=== debian/changelog ===
python-defaults (2.7.18-3) unstable; urgency=medium

  * Install pycompile and pyclean accidentally removed in -1

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 Jul 2021 13:17:06 +0200
