=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 11~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.18~),
  lsb-release,
  python-all:any,
  python2.7:any (>= 2.7.18~),
Standards-Version: 4.5.0
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python-defaults

Package: python-all
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python2 (= ${binary:Version}), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python2 runtime versions
 The package currently depends on python2.7, in the future,
 dependencies on jython (Python2 for a JVM) and ironpython (Python2 for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 runtimes.

Package: python-all-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python2 (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dev (= ${binary:Version}), python2-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python2 development packages
 The package currently depends on python2.7-dev, in the
 future, dependencies on jython (Python2 for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 development
 packages.

Package: python-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: ${misc:Depends}, python2 (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dbg (= ${binary:Version}), python2-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python2 debugging packages
 The package currently depends on python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 debug packages.

Package: libpython-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython2-dev (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dev
Description: package depending on all supported Python2 development packages
 The package currently depends on libpython2.7-dev, in the
 future, dependencies on jython (Python2 for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 development
 packages.

Package: libpython-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython2-dbg (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dbg
Description: package depending on all supported Python2 debugging packages
 The package currently depends on libpython2.7-dbg, in the
 future, dependencies on jython (Python2 for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 debug packages.

Package: python2
Architecture: any
Multi-Arch: allowed
Priority: optional
Pre-Depends: python2-minimal (= ${binary:Version})
Depends: ${misc:Depends}, python2.7 (>= 2.7.18~), libpython2-stdlib (= ${binary:Version})
Suggests: python2-doc (= ${binary:Version}), python-tk (>= 2.7.18~)
Conflicts: python-central (<< 0.5.5)
Breaks: update-manager-core (<< 0.200.5-2), python (<< 2.7.15-2), python2-doc (<< 2.7.18-2)
Replaces: python-dev (<< 2.6.5-2), python (<< 2.7.15-2), python2-doc (<< 2.7.18-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (Python2 version)
 Python2, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: python2-minimal
Architecture: any
Multi-Arch: allowed
Priority: optional
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.18~), dpkg (>= 1.13.20)
Recommends: python2
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2), python-minimal (<< 2.7.15-2)
Replaces: python (<= 2.7.3-1~), python-minimal (<< 2.7.15-2)
Description: minimal subset of the Python2 language
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.
XB-Cnf-Visible-Pkgname: python2

Package: python2-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python2 (= ${binary:Version}), libpython2-dev (= ${binary:Version}), python2.7-dev (>= 2.7.18~)
Breaks: python-dev (<< 2.7.15-2)
Replaces: python-dev (<< 2.7.15-2)
Description: header files and a static library for Python2
 Header files, a static library and development tools for building
 Python2 modules, extending the Python2 interpreter or embedding Python2
 in applications.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: libpython2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython2.7-dev (>= 2.7.18~), ${misc:Depends}
Breaks: libpython-dev (<< 2.7.15-2)
Replaces: libpython-dev (<< 2.7.15-2)
Description: header files and a static library for Python2
 Header files, a static library and development tools for building
 Python2 modules, extending the Python2 interpreter or embedding Python2
 in applications.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: libpython2-stdlib
Architecture: any
Multi-Arch: same
Priority: optional
Depends: libpython2.7-stdlib (>= 2.7.18~), ${misc:Depends}
Breaks: libpython-stdlib (<< 2.7.15-2)
Replaces: libpython-stdlib (<< 2.7.15-2)
Description: interactive high-level object-oriented language (Python2)
 Python2, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: python2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.18~)
Suggests: python2 (= ${binary:Version})
Breaks: python-doc (<< 2.7.15-2)
Replaces: python-doc (<< 2.7.15-2)
Description: documentation for the high-level object-oriented language Python2
 This is the official set of documentation for the interactive high-level
 object-oriented language Python2 (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: python2-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: ${misc:Depends}, python2 (= ${binary:Version}), libpython2-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.18~)
Breaks: python-dbg (<< 2.7.15-2)
Replaces: python-dbg (<< 2.7.15-2)
Description: debug build of the Python2 interpreter (version 2.7)
 Python2 interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: libpython2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython2.7-dbg (>= 2.7.18~), ${misc:Depends}
Breaks: libpython-dbg (<< 2.7.15-2)
Replaces: libpython-dbg (<< 2.7.15-2)
Description: debug build of the Python2 interpreter (version 2.7)
 Python2 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python2.7/lib-dynload/debug first.
