=== debian/rules ===
--- 
+++ 
@@ -112,6 +112,7 @@
 	dh_testroot
 #	dh_installdirs -ppython usr/share/doc/python
 	dh_install
+	DESTDIR=debian/python2-minimal PREFIX=/usr make install-runtime
 
 	touch stamp-install
 
@@ -241,4 +242,3 @@
 
 	mkdir -p debian/libpython2-dbg/usr/bin
 	ln -sf $(DEB_HOST_MULTIARCH)-python$(VER)-dbg-config \
-		debian/libpython2-dbg/usr/bin/$(DEB_HOST_MULTIARCH)-python2-dbg-config
