## python-defaults 2.7.18-3ubuntu1

=== debian/changelog ===
python-defaults (2.7.18-3ubuntu1) lunar; urgency=medium

  * Drop build-dependency on python-all

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Jan 2023 20:50:07 +0000

python-defaults (2.7.18-3build1) lunar; urgency=medium

  * No-change rebuild to work around failed binary copy

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Jan 2023 19:57:13 +0000
