=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 11~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.18~),
   lsb-release,
-  python-all:any,
   python2.7:any (>= 2.7.18~),
 Standards-Version: 4.5.0
 Homepage: https://www.python.org/
